Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class IndexThreshInfo

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.IndexThreshInfo

Direct Known Subclasses:
  FracBusyAgentsThreshCondition

    public class IndexThreshInfo

extends Object

Stores information about an index, a threshold, and a relationship. This is similar to the JAXB-derived `IndexThreshParams` class, except that the index and threshold are stored into fields of built-in types rather than wrappers. This class is used as a base for some condition objects, and to hold information about conditions on statistics.

Field Summary
`protected int` | `i`
`protected Relationship` | `rel`
`protected double` | `threshold`

Constructor Summary
`IndexThreshInfo(int i, double threshold, Relationship rel)` Constructs a new object holding the index `i`, the threshold `threshold`, and the relationship `rel`.

Method Summary
`int` | `getIndex()` Returns the value of i.
`Relationship` | `getRelationship()` Returns the relationship to be tested.
`double` | `getThreshold()` Returns the value of η.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i

    protected int i

### threshold

    protected double threshold

### rel

    protected Relationship rel

Constructor Detail

### IndexThreshInfo

    public IndexThreshInfo(int i,
                           double threshold,
                           Relationship rel)

  Constructs a new object holding the index `i`, the threshold `threshold`, and the relationship `rel`.

Method Detail

### getIndex

    public int getIndex()

  Returns the value of i.

### getThreshold

    public double getThreshold()

  Returns the value of η.

### getRelationship

    public Relationship getRelationship()

  Returns the relationship to be tested.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.